<?php

class Combustivel
{
    private $db;

    public function __construct()
    {
        $this->db = new Database();
    }

    public function lerCombustiveis()
    {
        $this->db->query("SELECT * FROM combustiveis WHERE removido IS NULL ORDER BY nome");
        return $this->db->resultados();
    }

    public function lerCombustivelPorId($id)
    {
        $this->db->query("SELECT * FROM combustiveis WHERE id_combustivel = :id_combustivel AND removido IS NULL");
        $this->db->bind("id_combustivel", $id);
        return $this->db->resultado();
    }

    public function armazenar($dados)
    {
        $this->db->query("
            INSERT INTO combustiveis (nome, id_usuario)
            VALUES (:nome, :id_usuario)
        ");
        $this->db->bind("nome", $dados['nome']);
        $this->db->bind("id_usuario", $dados['id_usuario']);
        return $this->db->executa();
    }

    public function atualizar($dados)
    {
        $this->db->query("
            UPDATE combustiveis SET
                nome = :nome,
                alterado = NOW()
            WHERE id_combustivel = :id_combustivel
        ");
        $this->db->bind("nome", $dados['nome']);
        $this->db->bind("id_combustivel", $dados['id_combustivel']);
        return $this->db->executa();
    }

    public function remover($id)
    {
        $this->db->query("UPDATE combustiveis SET removido = NOW() WHERE id_combustivel = :id_combustivel");
        $this->db->bind("id_combustivel", $id);
        return $this->db->executa();
    }

      public function listarTodos()
    {
        $this->db->query("SELECT * FROM combustiveis WHERE removido IS NULL ORDER BY nome");
        return $this->db->resultados();
    }
}

